1. Security Event
api-security
  • Security-Api
    • Roles
      • Index
      • Create
      • Show
      • Update
      • Delete
    • Devices
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Security Event
      • Index
        GET
      • Show
        GET
      • Create
        POST
      • Update
        PUT
      • Delete
        DELETE
    • Alerts
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Incidents
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Incident Comments
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Auth
      • Login
      • Logout
      • Me
    • Dashboard
      • Index
    • Notifications
      • Index
      • Unread
      • Mark As Read
  1. Security Event

Update

Developing
PUT
http://127.0.0.1:8000/api/security_events/2
Updates the information of an existing security event by its ID.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success Update
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT 'http://127.0.0.1:8000/api/security_events/2' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {token}' \
--header 'Content-Type: application/json' \
--data '{
    "severity": "low",
    "event_date": "2026-06-22 09:20:00"
}'
Response Response Example
{
    "message": "Security event updated successfully.",
    "data": {
        "id": 7,
        "device_id": 3,
        "user_role": "viewer",
        "event_type": "port_scan_detected",
        "description": "Multiple connection attempts detected across several ports.",
        "source_ip": "172.16.1.55",
        "severity": "low",
        "event_date": "2026-06-22 09:20:00"
    }
}
Modified at 2026-06-22 12:20:56
Previous
Create
Next
Delete
Built with